Arch 3Views/es: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 20: Line 20:


== Scripting ==
== Scripting ==
{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[Arch API|Arch API]] and [[FreeCAD Scripting Basics|FreeCAD Scripting Basics]].


This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
This tool can be used in [[macros|macros]] and from the [[Python|Python]] console by using the following function:
{{Code|code=
{{Code|code=
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
Line 63: Line 63:
mesh_obj.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False
}}
}}

{{Docnav
{{Docnav
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_ToggleIfcBrepFlag|Toggle IFC Brep flag]]
|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_MakeIfcSpreadsheet|Create IFC spreadsheet...]]
|[[Arch_Module|Arch]]
|[[Arch_Module|Arch]]
|IconL=Arch_ToggleIfcBrepFlag.svg |IconC=Workbench_Arch.svg |IconR=Arch_Schedule.svg
|IconL=Arch_ToggleIfcBrepFlag.svg
|IconC=Workbench_Arch.svg
|IconR=Arch_Schedule.svg
}}
}}



Revision as of 16:10, 3 February 2020

Arch 3Views

Ubicación en el Menú
Arch → Utilities → 3 Views from mesh
Entornos de trabajo
Arch
Atajo de teclado por defecto
Ninguno
Introducido en versión
-
Ver también
Ninguno

Descripción

Este comando no está actualmente en uso. Servirá para generar vistas planas y basadas en la forma desde un objeto basado en Mesh, para ser utilizado por la herramienta Arch Equipment.

Utilización

  1. Select a Mesh object.
  2. Select the button, or ArchUtilities 3Views from the top menu.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

shape = createMeshView(obj, direction=FreeCAD.Vector(0, 0, -1), outeronly=False, largestonly=False)
  • Creates a flat shape that is the projection of the given mesh object (obj) in the given direction.
  • If outeronly is True only the outer contour is taken into consideration, discarding the inner holes.
  • If largestonly is True only the largest segment of the given mesh will be used.

Use Part.show() to display the resulting flat shape.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0), FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"
FreeCAD.ActiveDocument.recompute()

XAxis = FreeCAD.Vector(1, 0, 0)
YAxis = FreeCAD.Vector(0, 1, 0)
ZAxis = FreeCAD.Vector(0, 0, -1)

s1 = Arch.createMeshView(mesh_obj, ZAxis)
s2 = Arch.createMeshView(mesh_obj, XAxis)
s3 = Arch.createMeshView(mesh_obj, YAxis)

Part.show(s1)
Part.show(s2)
Part.show(s3)

Wall.ViewObject.Visibility = False
mesh_obj.ViewObject.Visibility = False